The gateway requires model, images and prompt to be passed in explicitly. GPT Image accepts up to 16 reference images; dall-e-2 only accepts a single PNG input; dall-e-3 does not support editing.
GPT Image 2/2.5 supports any compliance WIDTHxHEIGHT, other GPT Images use the standard three sizes. input_fidelity, background, moderation, output_format, output_compression, stream and partial_images are only used for GPT Image series.
POST
https://api.tikway.ai
/
v1
/
images
/
edits
Image editing
curl --request POST \ --url https://api.tikway.ai/v1/images/edits \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "gpt-image-2", "prompt": "Keep the apple unchanged and replace only its background with a misty enchanted forest under soft cinematic lighting.", "size": "1024x1024", "quality": "high", "output_format": "png", "images": [ { "image_url": "https://gd-hbimg.huaban.com/cb36fdfc6ee4707de3ec666d6bc202fb99d9bef326a10d-oQHn3b_fw658" } ]}'
import requests
url = "https://api.tikway.ai/v1/images/edits"
payload = {
"model": "gpt-image-2",
"prompt": "Keep the apple unchanged and replace only its background with a misty enchanted forest under soft cinematic lighting.",
"size": "1024x1024",
"quality": "high",
"output_format": "png",
"images": [{ "image_url": "https://gd-hbimg.huaban.com/cb36fdfc6ee4707de3ec666d6bc202fb99d9bef326a10d-oQHn3b_fw658" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-image-2',
prompt: 'Keep the apple unchanged and replace only its background with a misty enchanted forest under soft cinematic lighting.',
size: '1024x1024',
quality: 'high',
output_format: 'png',
images: [
{
image_url: 'https://gd-hbimg.huaban.com/cb36fdfc6ee4707de3ec666d6bc202fb99d9bef326a10d-oQHn3b_fw658'
}
]
})
};
fetch('https://api.tikway.ai/v1/images/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Tikway","colors":{"primary":"#3d3b3a","light":"#ffffff","dark":"#000000"},"logo":{"light":"https://mintcdn.com/tikway/jbQHUstQv4m6VXpl/logo/light.png?fit=max\u0026auto=format\u0026n=jbQHUstQv4m6VXpl\u0026q=85\u0026s=2ffadc60838b347e4b303c5324329d71","dark":"https://mintcdn.com/tikway/jbQHUstQv4m6VXpl/logo/dark.png?fit=max\u0026auto=format\u0026n=jbQHUstQv4m6VXpl\u0026q=85\u0026s=70d626d8a1b2db6e9cfc2f93182f2acb"},"favicon":"https://mintcdn.com/tikway/jbQHUstQv4m6VXpl/favicon.png?fit=max\u0026auto=format\u0026n=jbQHUstQv4m6VXpl\u0026q=85\u0026s=e55efc78d7a9b37ff27557ac7556fe6e","api":{"params":{"expanded":"all"},"url":"full","mdx":{"auth":{"method":"bearer","name":"Authorization"},"server":"https://api.tikway.ai"}},"navbar":{"links":[],"primary":{"type":"button","label":"Dashboard","href":"https://app.mintlify.com"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"markdown":{"schema":false},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Home","icon":"house","href":"https://tikway.ai"}]},"languages":[{"language":"zh","href":"zh/introduction"},{"language":"en","href":"en/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"tikway","hasAudioNarration":false,"actualSubdomain":"tikway","customDomains":["docs.tikway.ai"],"gitSource":{"type":"github","owner":"tokgos","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6adc5bcc50fd02f25b78f1da","collectionId":"18ba77e3-afe9-43cc-8e60-e7b6de9c99b7","liveDeploymentHistoryId":"6adc5bcc50fd02f25b78f1da","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adc5bcc50fd02f25b78f1da","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"zh","tag":"API Reference","count":53},{"language":"en","tag":"API Reference","count":46},{"language":"zh","tag":"视频生成","count":15},{"language":"en","tag":"Video generation","count":14},{"language":"zh","tag":"图片生成","count":12},{"language":"en","tag":"Chat completions","count":11},{"language":"zh","tag":"对话补全","count":11},{"language":"en","tag":"Image generation","count":10},{"language":"en","tag":"Guides","count":8},{"language":"zh","tag":"指南","count":8},{"language":"en","tag":"Gemini protocol","count":6},{"language":"zh","tag":"Gemini 协议","count":6},{"language":"en","tag":"Speech synthesis","count":5},{"language":"zh","tag":"Midjourney","count":5},{"language":"zh","tag":"语音合成","count":5},{"language":"en","tag":"Developer guides","count":3},{"language":"en","tag":"Request protocols","count":3},{"language":"en","tag":"OpenAI protocol","count":3},{"language":"zh","tag":"开发指南","count":3},{"language":"zh","tag":"请求协议","count":3}],"searchSettings":{"showContentSnippets":true}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"privacy":{"consentBanner":{"enabled":false}},"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"@media (min-width:1280px){html[data-current-path*=\"/api-reference/\"] div:has(>#sidebar):has(>#content-container){width:80%!important;max-width:none!important;margin-inline:auto!important;padding-inline:0!important;gap:2rem!important}html[data-current-path*=\"/api-reference/\"] #content-container{flex:1 1 0!important;width:auto!important;max-width:none!important;min-width:0!important}html[data-current-path*=\"/api-reference/\"] #content-container>div:has(>#content-area){gap:2rem!important}html[data-current-path*=\"/api-reference/\"] #content-area{flex:1 1 0!important;width:auto!important;max-width:none!important;min-width:0!important;margin-inline:0!important;padding-inline:0!important}html[data-current-path*=\"/api-reference/\"] #content-side-layout{flex:0 0 22rem!important;width:22rem!important;max-width:22rem!important}html[data-current-path*=\"/api-reference/\"] #content-side-layout>div{width:100%!important;min-width:0!important;max-width:100%!important}}@media (max-width:767px){html:is([data-current-path$=\"/api-reference/images/overview\"], [data-current-path$=\"/api-reference/videos/overview\"]) #content table{min-width:34rem}}"}],"page":{"pagePath":"en/api-reference/images/gpt-image/edit","slug":"/en/api-reference/images/gpt-image/edit","pageMetadata":{"title":"Image editing","description":"The gateway requires `model`, `images` and `prompt` to be passed in explicitly. GPT Image accepts up to 16 reference images; `dall-e-2` only accepts a single PNG input; `dall-e-3` does not support editing.\n\nGPT Image 2/2.5 supports any compliance `WIDTHxHEIGHT`, other GPT Images use the standard three sizes. `input_fidelity`, `background`, `moderation`, `output_format`, `output_compression`, `stream` and `partial_images` are only used for GPT Image series.","deprecated":false,"version":null,"sidebarTitle":"Image editing","openapi":"/openapi/en/images/gpt-image.json post /v1/images/edits","href":"/en/api-reference/images/gpt-image/edit","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"The gateway requires \", _jsx(_components.code, {\n children: \"model\"\n }), \", \", _jsx(_components.code, {\n children: \"images\"\n }), \" and \", _jsx(_components.code, {\n children: \"prompt\"\n }), \" to be passed in explicitly. GPT Image accepts up to 16 reference images; \", _jsx(_components.code, {\n children: \"dall-e-2\"\n }), \" only accepts a single PNG input; \", _jsx(_components.code, {\n children: \"dall-e-3\"\n }), \" does not support editing.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"GPT Image 2/2.5 supports any compliance \", _jsx(_components.code, {\n children: \"WIDTHxHEIGHT\"\n }), \", other GPT Images use the standard three sizes. \", _jsx(_components.code, {\n children: \"input_fidelity\"\n }), \", \", _jsx(_components.code, {\n children: \"background\"\n }), \", \", _jsx(_components.code, {\n children: \"moderation\"\n }), \", \", _jsx(_components.code, {\n children: \"output_format\"\n }), \", \", _jsx(_components.code, {\n children: \"output_compression\"\n }), \", \", _jsx(_components.code, {\n children: \"stream\"\n }), \" and \", _jsx(_components.code, {\n children: \"partial_images\"\n }), \" are only used for GPT Image series.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Image editing","description":"The gateway requires `model`, `images` and `prompt` to be passed in explicitly. GPT Image accepts up to 16 reference images; `dall-e-2` only accepts a single PNG input; `dall-e-3` does not support editing.\n\nGPT Image 2/2.5 supports any compliance `WIDTHxHEIGHT`, other GPT Images use the standard three sizes. `input_fidelity`, `background`, `moderation`, `output_format`, `output_compression`, `stream` and `partial_images` are only used for GPT Image series.","deprecated":false,"version":null,"sidebarTitle":"Image editing","openapi":"/openapi/en/images/gpt-image.json post /v1/images/edits","href":"/en/api-reference/images/gpt-image/edit","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Image editing","deprecated":false,"description":"The gateway requires `model`, `images` and `prompt` to be passed in explicitly. GPT Image accepts up to 16 reference images; `dall-e-2` only accepts a single PNG input; `dall-e-3` does not support editing.\n\nGPT Image 2/2.5 supports any compliance `WIDTHxHEIGHT`, other GPT Images use the standard three sizes. `input_fidelity`, `background`, `moderation`, `output_format`, `output_compression`, `stream` and `partial_images` are only used for GPT Image series.","tags":["Image generation/GPT Image"],"parameters":[],"requestBody":"6be1befc-d65b-418a-96aa-802c9b6e385e","responses":{"200":"82583cc7-f9e3-4f55-aa1d-d9221749bf49"},"security":["1d08fd49-1c70-4072-8913-3cf3ea24c665"],"x-model-capabilities":{"gpt-image-*":["images","prompt","background","input_fidelity","mask","moderation","n","output_compression","output_format","partial_images","quality","size","stream","user"],"dall-e-2":["images","prompt","mask","n","response_format","size","user"],"dall-e-3":[]},"x-mint":{"href":"/en/api-reference/images/gpt-image/edit","metadata":{"sidebarTitle":"Image editing"}},"method":"post","type":"path","servers":["55774434-025e-4df3-8fef-a7192c5e8c22"],"path":"/v1/images/edits","baseUrlOptions":["https://api.tikway.ai"],"title":"Image editing","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","urlDisplay":"full"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["model","prompt","images"],"properties":{"images":{"type":"array","minItems":1,"maxItems":16,"description":"Required source images. Supported counts depend on the selected model.","items":{"type":"object","properties":{"file_id":{"type":"string","description":"The ID of the source image file uploaded to the Files API.","uniqueKey":"images.items.[INDEX].file_id","typeLabel":"string"},"image_url":{"type":"string","description":"Image URL, data URL, or Base64 string.","uniqueKey":"images.items.[INDEX].image_url","typeLabel":"string"}},"x-apifox-orders":["file_id","image_url"],"uniqueKey":"images.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"images","typeLabel":"object[]"},"prompt":{"type":"string","minLength":1,"description":"Required. Describe the image to generate.","isRequired":true,"uniqueKey":"prompt","typeLabel":"string"},"model":{"type":"string","description":"Required. Use a model ID or available alias returned by Get Models.","examples":["gpt-image-2.5-sunburst","gpt-image-2.5-sunburst-2026-09-08","gpt-image-2.5-flare","gpt-image-2.5-flare-2026-09-08","gpt-image-2","gpt-image-2-2026-04-21","gpt-image-1.5","gpt-image-1","gpt-image-1-mini","chatgpt-image-latest","dall-e-2"],"minLength":1,"isRequired":true,"uniqueKey":"model","typeLabel":"string"},"background":{"oneOf":[{"type":"string","enum":["transparent","opaque","auto",null],"description":"Output background, only supported by GPT Image model. When transparent, output_format must be png or webp.","uniqueKey":"background.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["transparent","opaque","auto",null],"description":"Output background, only supported by GPT Image model. When transparent, output_format must be png or webp.","uniqueKey":"background.oneOf.1","typeLabel":"null"}],"uniqueKey":"background","typeLabel":"enum\u003cstring> | null"},"input_fidelity":{"oneOf":[{"type":"string","enum":["high","low",null],"description":"The degree of consistency with the original input image, only supported GPT Image models apply.","uniqueKey":"input_fidelity.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["high","low",null],"description":"The degree of consistency with the original input image, only supported GPT Image models apply.","uniqueKey":"input_fidelity.oneOf.1","typeLabel":"null"}],"uniqueKey":"input_fidelity","typeLabel":"enum\u003cstring> | null"},"mask":{"type":"object","description":"Mask used for local redrawing. Choose one of file_id and image_url.","properties":{"file_id":{"type":"string","description":"File ID of the uploaded mask file.","uniqueKey":"mask.file_id","typeLabel":"string"},"image_url":{"type":"string","description":"Image URL, data URL, or Base64 string.","uniqueKey":"mask.image_url","typeLabel":"string"}},"x-apifox-orders":["file_id","image_url"],"uniqueKey":"mask","typeLabel":"object"},"moderation":{"oneOf":[{"type":"string","enum":["low","auto",null],"description":"Content moderation level, only supported by the GPT Image model.","uniqueKey":"moderation.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["low","auto",null],"description":"Content moderation level, only supported by the GPT Image model.","uniqueKey":"moderation.oneOf.1","typeLabel":"null"}],"uniqueKey":"moderation","typeLabel":"enum\u003cstring> | null"},"n":{"oneOf":[{"type":"integer","minimum":1,"maximum":10,"description":"Number of generated images. Allowed counts depend on the selected model.","uniqueKey":"n.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"maximum":10,"description":"Number of generated images. Allowed counts depend on the selected model.","uniqueKey":"n.oneOf.1","typeLabel":"null"}],"uniqueKey":"n","typeLabel":"integer | null"},"output_compression":{"oneOf":[{"type":"integer","minimum":0,"maximum":100,"description":"Compression ratio (0–100) for jpeg or webp output, supported only by GPT Image model.","uniqueKey":"output_compression.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":0,"maximum":100,"description":"Compression ratio (0–100) for jpeg or webp output, supported only by GPT Image model.","uniqueKey":"output_compression.oneOf.1","typeLabel":"null"}],"uniqueKey":"output_compression","typeLabel":"integer | null"},"output_format":{"oneOf":[{"type":"string","enum":["png","jpeg","webp",null],"description":"Output image format, only supported by GPT Image model.","uniqueKey":"output_format.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["png","jpeg","webp",null],"description":"Output image format, only supported by GPT Image model.","uniqueKey":"output_format.oneOf.1","typeLabel":"null"}],"uniqueKey":"output_format","typeLabel":"enum\u003cstring> | null"},"partial_images":{"oneOf":[{"type":"integer","minimum":0,"maximum":3,"description":"The number of intermediate graphs generated in the streaming response.","uniqueKey":"partial_images.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":0,"maximum":3,"description":"The number of intermediate graphs generated in the streaming response.","uniqueKey":"partial_images.oneOf.1","typeLabel":"null"}],"uniqueKey":"partial_images","typeLabel":"integer | null"},"quality":{"oneOf":[{"type":"string","enum":["low","medium","high","xhigh","max","auto",null],"description":"Output quality. Supported values depend on the selected model.","uniqueKey":"quality.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["low","medium","high","xhigh","max","auto",null],"description":"Output quality. Supported values depend on the selected model.","uniqueKey":"quality.oneOf.1","typeLabel":"null"}],"uniqueKey":"quality","typeLabel":"enum\u003cstring> | null"},"size":{"type":"string","pattern":"^(auto|[1-9][0-9]*x[1-9][0-9]*)$","description":"Output size as WIDTHxHEIGHT, or auto for the model default. Supported sizes depend on the selected model.","uniqueKey":"size","typeLabel":"string"},"stream":{"oneOf":[{"type":"boolean","description":"Whether to return intermediate and final results as an SSE event stream.","uniqueKey":"stream.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether to return intermediate and final results as an SSE event stream.","uniqueKey":"stream.oneOf.1","typeLabel":"null"}],"uniqueKey":"stream","typeLabel":"boolean | null"},"user":{"type":"string","description":"A unique identifier for the end user, used for abuse monitoring and detection.","uniqueKey":"user","typeLabel":"string"},"response_format":{"type":"string","description":"Response format: url returns image URLs; b64_json returns Base64 image data.","default":"url","enum":["b64_json","url"],"uniqueKey":"response_format","typeLabel":"enum\u003cstring>"}},"examples":[{"images":[{"image_url":"https://example.com/source-image.png"}],"prompt":"为这张图添加水彩效果","model":"gpt-image-1.5","quality":"high","size":"1024x1024"}],"x-apifox-orders":["images","prompt","background","input_fidelity","mask","model","moderation","n","output_compression","output_format","partial_images","quality","size","stream","user","response_format"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"reference-image":{"title":"reference-image","value":{"model":"gpt-image-2","prompt":"Keep the apple unchanged and replace only its background with a misty enchanted forest under soft cinematic lighting.","size":"1024x1024","quality":"high","output_format":"png","images":[{"image_url":"https://gd-hbimg.huaban.com/cb36fdfc6ee4707de3ec666d6bc202fb99d9bef326a10d-oQHn3b_fw658"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"82583cc7-f9e3-4f55-aa1d-d9221749bf49":{"description":"","content":{"application/json":{"schema":{"type":"object","required":["created","data"],"properties":{"created":{"type":"integer","description":"The Unix timestamp in seconds when the edit result was created.","isRequired":true,"uniqueKey":"created","typeLabel":"integer"},"data":{"type":"array","description":"Edited image list.","items":{"type":"object","properties":{"b64_json":{"type":"string","description":"Base64 encoded image content. The GPT Image model is returned by default.","uniqueKey":"data.items.[INDEX].b64_json","typeLabel":"string"},"revised_prompt":{"type":"string","description":"The actual revision prompt word of DALL·E 3; this editing interface usually does not return this field.","uniqueKey":"data.items.[INDEX].revised_prompt","typeLabel":"string"},"url":{"type":"string","description":"Generate image URL. DALL·E is provided when using the URL return format and is usually valid for 60 minutes.","uniqueKey":"data.items.[INDEX].url","typeLabel":"string"}},"uniqueKey":"data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data","typeLabel":"object[]"},"background":{"type":"string","enum":["transparent","opaque"],"description":"The actual output context used.","uniqueKey":"background","typeLabel":"enum\u003cstring>"},"output_format":{"type":"string","enum":["png","webp","jpeg"],"description":"Actual output format.","uniqueKey":"output_format","typeLabel":"enum\u003cstring>"},"quality":{"type":"string","enum":["low","medium","high","auto"],"description":"Output quality for actual use.","uniqueKey":"quality","typeLabel":"enum\u003cstring>"},"size":{"type":"string","description":"The actual generated image size.","uniqueKey":"size","typeLabel":"string"},"usage":{"type":"object","description":"The token usage of the GPT Image model.","properties":{"input_tokens":{"type":"integer","description":"Enter the number of tokens for text and images.","uniqueKey":"usage.input_tokens","typeLabel":"integer"},"input_tokens_details":{"type":"object","properties":{"image_tokens":{"type":"integer","description":"Enter the number of image tokens.","uniqueKey":"usage.input_tokens_details.image_tokens","typeLabel":"integer"},"text_tokens":{"type":"integer","description":"Enter the text token number.","uniqueKey":"usage.input_tokens_details.text_tokens","typeLabel":"integer"}},"uniqueKey":"usage.input_tokens_details","typeLabel":"object"},"output_tokens":{"type":"integer","description":"Output the number of tokens.","uniqueKey":"usage.output_tokens","typeLabel":"integer"},"output_tokens_details":{"type":"object","properties":{"image_tokens":{"type":"integer","description":"Output the number of image tokens.","uniqueKey":"usage.output_tokens_details.image_tokens","typeLabel":"integer"},"text_tokens":{"type":"integer","description":"Output text token number.","uniqueKey":"usage.output_tokens_details.text_tokens","typeLabel":"integer"}},"uniqueKey":"usage.output_tokens_details","typeLabel":"object"},"total_tokens":{"type":"integer","description":"The total number of input and output tokens.","uniqueKey":"usage.total_tokens","typeLabel":"integer"}},"uniqueKey":"usage","typeLabel":"object"}},"examples":[{"created":1713833628,"data":[{"b64_json":"..."}],"usage":{"total_tokens":100,"input_tokens":50,"output_tokens":50,"input_tokens_details":{"text_tokens":10,"image_tokens":40}}}],"uniqueKey":"","typeLabel":"object"},"example":{"created":1713833628,"data":[{"b64_json":"..."}],"usage":{"total_tokens":100,"input_tokens":50,"output_tokens":50,"input_tokens_details":{"text_tokens":10,"image_tokens":40}}},"examples":{"Example":{"title":"Example","value":{"created":1713833628,"data":[{"b64_json":"..."}],"usage":{"total_tokens":100,"input_tokens":50,"output_tokens":50,"input_tokens_details":{"text_tokens":10,"image_tokens":40}}}}},"exampleType":"examples"}},"headers":{},"exampleType":"examples"}},"security":{"1d08fd49-1c70-4072-8913-3cf3ea24c665":{"bearer":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearer"}}},"servers":{"55774434-025e-4df3-8fef-a7192c5e8c22":{"url":"https://api.tikway.ai","description":"production environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"openapi/en/images/gpt-image.json"},"subdomain":"tikway","siteName":"Tikway","title":"Image editing - Tikway","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"zh":{"href":"/zh/api-reference/images/gpt-image/edit","matchLevel":1},"en":{"href":"/en/api-reference/images/gpt-image/edit","matchLevel":0}}},"lastModified":"2026-10-24T07:18:55.820Z","originalFileLocation":"en/api-reference/images/gpt-image/edit.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"The gateway requires model, images and prompt to be passed in explicitly. GPT Image accepts up to 16 reference images; dall-e-2 only accepts a single PNG input; dall-e-3 does not support editing. GPT Image 2/2.5 supports any compliance WIDTHxHEIGHT, other GPT Images use the standard three sizes. input_fidelity, background, moderation, output_format, output_compression, stream and partial_images are only used for GPT Image series.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Tikway\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/tikway/BXjEGHgHOW9NRxi7/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/tikway/BXjEGHgHOW9NRxi7/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/tikway/BXjEGHgHOW9NRxi7/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/tikway/BXjEGHgHOW9NRxi7/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/tikway/BXjEGHgHOW9NRxi7/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/tikway/BXjEGHgHOW9NRxi7/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/tikway/BXjEGHgHOW9NRxi7/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/tikway/BXjEGHgHOW9NRxi7/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/tikway/BXjEGHgHOW9NRxi7/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Image editing - Tikway\">\u003cmeta data-mint-head property=\"og:description\" content=\"The gateway requires model, images and prompt to be passed in explicitly. GPT Image accepts up to 16 reference images; dall-e-2 only accepts a single PNG input; dall-e-3 does not support editing. GPT Image 2/2.5 supports any compliance WIDTHxHEIGHT, other GPT Images use the standard three sizes. input_fidelity, background, moderation, output_format, output_compression, stream and partial_images are only used for GPT Image series.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Tikway\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://tikway.mintlify.app/_mintlify/api/og/v2?division=GPT+Image\u0026amp;title=Image+editing\u0026amp;description=The+gateway+requires+%60model%60%2C+%60images%60+and+%60prompt%60+to+be+passed+in+explicitly.+GPT+Image+accepts+up+to+16+reference+images%3B+%60dall-e-2%60+only+accepts+a+single+PN\u0026amp;theme=80cab077a26228715dec452f\u0026amp;signature=ccbe6c7a0a9ba3a4127746968c783c48d325f9b4d7c7106af8f1da57dd056c79\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Image editing - Tikway\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"The gateway requires model, images and prompt to be passed in explicitly. GPT Image accepts up to 16 reference images; dall-e-2 only accepts a single PNG input; dall-e-3 does not support editing. GPT Image 2/2.5 supports any compliance WIDTHxHEIGHT, other GPT Images use the standard three sizes. input_fidelity, background, moderation, output_format, output_compression, stream and partial_images are only used for GPT Image series.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://tikway.mintlify.app/_mintlify/api/og/v2?division=GPT+Image\u0026amp;title=Image+editing\u0026amp;description=The+gateway+requires+%60model%60%2C+%60images%60+and+%60prompt%60+to+be+passed+in+explicitly.+GPT+Image+accepts+up+to+16+reference+images%3B+%60dall-e-2%60+only+accepts+a+single+PN\u0026amp;theme=80cab077a26228715dec452f\u0026amp;signature=ccbe6c7a0a9ba3a4127746968c783c48d325f9b4d7c7106af8f1da57dd056c79\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/tikway/BXjEGHgHOW9NRxi7/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Tikway\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3d3b3a\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/en/api-reference/images/gpt-image/edit.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.tikway.ai/zh/api-reference/images/gpt-image/edit\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.tikway.ai/zh/api-reference/images/gpt-image/edit\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.tikway.ai/#organization\",\"name\":\"Tikway\",\"url\":\"https://docs.tikway.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/tikway/jbQHUstQv4m6VXpl/logo/light.png?fit=max\u0026auto=format\u0026n=jbQHUstQv4m6VXpl\u0026q=85\u0026s=2ffadc60838b347e4b303c5324329d71\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.tikway.ai#website\",\"name\":\"Tikway\",\"url\":\"https://docs.tikway.ai\",\"publisher\":{\"@id\":\"https://docs.tikway.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit#webpage\",\"url\":\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit\",\"name\":\"Image editing\",\"description\":\"The gateway requires model, images and prompt to be passed in explicitly. GPT Image accepts up to 16 reference images; dall-e-2 only accepts a single PNG input; dall-e-3 does not support editing. GPT Image 2/2.5 supports any compliance WIDTHxHEIGHT, other GPT Images use the standard three sizes. input_fidelity, background, moderation, output_format, output_compression, stream and partial_images are only used for GPT Image series.\",\"dateModified\":\"2026-10-24T07:18:55.820Z\",\"isPartOf\":{\"@id\":\"https://docs.tikway.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Image generation\",\"item\":\"https://docs.tikway.ai/en/api-reference/images/gpt-image/generate\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"GPT Image\",\"item\":\"https://docs.tikway.ai/en/api-reference/images/gpt-image/generate\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Image editing\",\"item\":\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit#apireference\",\"headline\":\"Image editing\",\"name\":\"Image editing\",\"description\":\"The gateway requires model, images and prompt to be passed in explicitly. GPT Image accepts up to 16 reference images; dall-e-2 only accepts a single PNG input; dall-e-3 does not support editing. GPT Image 2/2.5 supports any compliance WIDTHxHEIGHT, other GPT Images use the standard three sizes. input_fidelity, background, moderation, output_format, output_compression, stream and partial_images are only used for GPT Image series.\",\"url\":\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit\",\"mainEntityOfPage\":{\"@id\":\"https://docs.tikway.ai/en/api-reference/images/gpt-image/edit#webpage\"},\"dateModified\":\"2026-10-24T07:18:55.820Z\",\"publisher\":{\"@id\":\"https://docs.tikway.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.tikway.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Tikway\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Tikway","nav":{"global":{"anchors":[{"anchor":"Home","icon":"house","href":"https://tikway.ai"}]},"languages":[{"language":"zh","pages":[{"title":"zh","href":"/zh/api-reference/images/gpt-image/edit"}]},{"language":"en","tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/en/introduction"}]},{"tab":"API Reference","groups":[{"group":"Chat completions","pages":[{"group":"OpenAI protocol","pages":[{"title":"Chat Completions","deprecated":false,"version":null,"sidebarTitle":"Chat Completions","openapi":"/openapi/en/chat/openai.json post /v1/chat/completions","href":"/en/api-reference/chat/openai/chat-completions"},{"title":"Responses","deprecated":false,"version":null,"sidebarTitle":"Responses","openapi":"/openapi/en/chat/openai.json post /v1/responses","href":"/en/api-reference/chat/openai/responses"},{"title":"Get Models","deprecated":false,"version":null,"sidebarTitle":"Get Models","openapi":"/openapi/en/chat/openai-models.json get /v1/models","href":"/en/api-reference/chat/openai/list-models"}]},{"group":"Anthropic protocol","pages":[{"title":"Messages","deprecated":false,"version":null,"sidebarTitle":"Messages","openapi":"/openapi/en/chat/anthropic.json post /v1/messages","href":"/en/api-reference/chat/anthropic/messages"},{"title":"Get Models","deprecated":false,"version":null,"sidebarTitle":"Get Models","openapi":"/openapi/en/chat/anthropic-models.json get /anthropic/v1/models","href":"/en/api-reference/chat/anthropic/list-models"}]},{"group":"Gemini protocol","pages":[{"title":"Generate Content","deprecated":false,"version":null,"sidebarTitle":"Generate Content","openapi":"/openapi/en/chat/gemini.json post /v1beta/models/{model}:generateContent","href":"/en/api-reference/chat/gemini/generate-content"},{"title":"Stream Generate Content","deprecated":false,"version":null,"sidebarTitle":"Stream Generate Content","openapi":"/openapi/en/chat/gemini.json post /v1beta/models/{model}:streamGenerateContent","href":"/en/api-reference/chat/gemini/stream-generate-content"},{"title":"Get Models","deprecated":false,"version":null,"sidebarTitle":"Get Models","openapi":"/openapi/en/chat/gemini-models.json get /v1beta/models","href":"/en/api-reference/chat/gemini/list-models"},{"title":"Create Cached Content","deprecated":false,"version":null,"sidebarTitle":"Create Cached Content","openapi":"/openapi/en/chat/gemini.json post /v1beta/cachedContents","href":"/en/api-reference/chat/gemini/create-cache"},{"title":"Get Cached Content","deprecated":false,"version":null,"sidebarTitle":"Get Cached Content","openapi":"/openapi/en/chat/gemini.json get /v1beta/cachedContents/{id}","href":"/en/api-reference/chat/gemini/get-cache"},{"title":"Delete Cached Content","deprecated":false,"version":null,"sidebarTitle":"Delete Cached Content","openapi":"/openapi/en/chat/gemini.json delete /v1beta/cachedContents/{id}","href":"/en/api-reference/chat/gemini/delete-cache"}]}]},{"group":"Image generation","pages":[{"group":"GPT Image","pages":[{"title":"Image generation","description":"The gateway requires `model` to be passed in explicitly. Different models only support parameter combinations in the table below.\n\n| Model | Dimensions | Quality | Model-specific parameters |\n| --- | --- | --- | --- |\n| `gpt-image-2.5-sunburst` / `flare` (including snapshots) | Any `WIDTHxHEIGHT` (16 multiples, 1:3~3:1, up to 3840x2160) | `auto/low/medium/high/xhigh/max` | `background`, `moderation`, `output_format`, `output_compression`, `stream`, `partial_images` |\n| `gpt-image-2` (including snapshots) | Same as above | `auto/low/medium/high` | Same as above; transparent background is still a preview capability |\n| `gpt-image-1` / `1.5` / `1-mini` | `auto`, 1024×1024, 1536×1024, 1024×1536 | `auto/low/medium/high` | `background`, `moderation`, `output_format`, `output_compression`, `stream`, `partial_images` |\n| `dall-e-3` | 1024×1024, 1792×1024, 1024×1792 | `standard/hd` | `n` can only be 1; supports `style`, `response_format` |\n| `dall-e-2` | 256×256, 512×512, 1024×1024 | `standard` | Support `n=1..10`, `response_format` |","deprecated":false,"version":null,"sidebarTitle":"Image generation","openapi":"/openapi/en/images/gpt-image.json post /v1/images/generations","href":"/en/api-reference/images/gpt-image/generate"},{"title":"Image editing","deprecated":false,"version":null,"sidebarTitle":"Image editing","openapi":"/openapi/en/images/gpt-image.json post /v1/images/edits","href":"/en/api-reference/images/gpt-image/edit"}]},{"group":"Nano Banana","pages":[{"title":"Image generation","description":"Unified OpenAI compatible portal. `size` represents the aspect ratio, and `quality` maps to Gemini's image resolution.\n\n| Model | Output resolution | Reference image | Search and thinking |\n| --- | --- | --- | --- |\n| `gemini-3.1-flash-image` | 512px, 1K, 2K, 4K; supports 1:4/4:1/1:8/8:1 extreme ratios | Up to 14 images (max 10 objects + 4 characters) | `google_search`, `image_search`, `thinking_level` |\n| `gemini-3-pro-image` | 1K, 2K, 4K | Up to 14 images (up to 6 objects + 5 characters + 3 styles) | `google_search`, `thinking_level`; image search is not supported |\n| `gemini-2.5-flash-image` | Fixed 1K | Recommended maximum 3 images | Does not support Google Search, image search and thinking |\n\nThis entry does not accept native `generationConfig`, `aspect_ratio` or `image_size`, please use `size` and `quality`.","deprecated":false,"version":null,"sidebarTitle":"Image generation","openapi":"/openapi/en/images/nano-banana.json post /v1/images/generations","href":"/en/api-reference/images/nano-banana/generate"},{"title":"Gemini protocol - image generation","deprecated":false,"version":null,"sidebarTitle":"Gemini protocol - image generation","openapi":"/openapi/en/images/nano-banana.json post /v1beta/models/{model}:generateContent","href":"/en/api-reference/images/nano-banana/generate-content"}]},{"group":"Qwen Image","pages":[{"title":"Image generation","deprecated":false,"version":null,"sidebarTitle":"Image generation","openapi":"/openapi/en/images/qwen.json post /v1/images/generations","href":"/en/api-reference/images/qwen/generate"}]},{"group":"Seedream","pages":[{"title":"Image generation","deprecated":false,"version":null,"sidebarTitle":"Image generation","openapi":"/openapi/en/images/seedream.json post /v1/images/generations","href":"/en/api-reference/images/seedream/generate"}]},{"group":"MAI Image","pages":[{"title":"Image generation","deprecated":false,"version":null,"sidebarTitle":"Image generation","openapi":"/openapi/en/images/mai-image.json post /v1/images/generations","href":"/en/api-reference/images/mai-image/generate"}]},{"group":"Novel","pages":[{"title":"Image generation","deprecated":false,"version":null,"sidebarTitle":"Image generation","openapi":"/openapi/en/images/novelai.json post /v1/images/generations","href":"/en/api-reference/images/novelai/generate"}]},{"group":"Flux","pages":[{"title":"Image generation","deprecated":false,"version":null,"sidebarTitle":"Image generation","openapi":"/openapi/en/images/flux.json post /v1/images/generations","href":"/en/api-reference/images/flux/generate"}]},{"group":"Grok","pages":[{"title":"Image generation","deprecated":false,"version":null,"sidebarTitle":"Image generation","openapi":"/openapi/en/images/grok.json post /v1/images/generations","href":"/en/api-reference/images/grok/generate"}]}]},{"group":"Video generation","pages":[{"group":"Seedance","pages":[{"title":"Create a Seedance video","deprecated":false,"version":null,"sidebarTitle":"Create a Seedance video","openapi":"/openapi/en/videos/seedance.json post /v1/videos","href":"/en/api-reference/videos/seedance/create"},{"title":"Query Seedance video tasks","deprecated":false,"version":null,"sidebarTitle":"Query Seedance video tasks","openapi":"/openapi/en/videos/seedance.json get /v1/videos/{id}","href":"/en/api-reference/videos/seedance/get-task"}]},{"group":"Wan","pages":[{"title":"Create Wan video","deprecated":false,"version":null,"sidebarTitle":"Create Wan video","openapi":"/openapi/en/videos/wan.json post /v1/videos","href":"/en/api-reference/videos/wan/create"},{"title":"Query Wan video tasks","deprecated":false,"version":null,"sidebarTitle":"Query Wan video tasks","openapi":"/openapi/en/videos/wan.json get /v1/videos/{id}","href":"/en/api-reference/videos/wan/get-task"}]},{"group":"HappyHorse","pages":[{"title":"Create a HappyHorse video","deprecated":false,"version":null,"sidebarTitle":"Create a HappyHorse video","openapi":"/openapi/en/videos/happyhorse.json post /v1/videos","href":"/en/api-reference/videos/happyhorse/create"},{"title":"Query HappyHorse video tasks","deprecated":false,"version":null,"sidebarTitle":"Query HappyHorse video tasks","openapi":"/openapi/en/videos/happyhorse.json get /v1/videos/{id}","href":"/en/api-reference/videos/happyhorse/get-task"}]},{"group":"MiniMax","pages":[{"title":"Create MiniMax H3 video","deprecated":false,"version":null,"sidebarTitle":"Create MiniMax H3 video","openapi":"/openapi/en/videos/minimax.json post /v1/videos","href":"/en/api-reference/videos/minimax/create"},{"title":"Query MiniMax H3 video task","deprecated":false,"version":null,"sidebarTitle":"Query MiniMax H3 video task","openapi":"/openapi/en/videos/minimax.json get /v1/videos/{id}","href":"/en/api-reference/videos/minimax/get-task"}]},{"group":"Veo","pages":[{"title":"Create a Veo video","deprecated":false,"version":null,"sidebarTitle":"Create a Veo video","openapi":"/openapi/en/videos/veo.json post /v1/videos","href":"/en/api-reference/videos/veo/create"},{"title":"Query Veo video tasks","deprecated":false,"version":null,"sidebarTitle":"Query Veo video tasks","openapi":"/openapi/en/videos/veo.json get /v1/videos/{id}","href":"/en/api-reference/videos/veo/get-task"}]},{"group":"Grok","pages":[{"title":"Create a Grok Imagine Video video","deprecated":false,"version":null,"sidebarTitle":"Create a Grok Imagine Video video","openapi":"/openapi/en/videos/grok.json post /v1/videos","href":"/en/api-reference/videos/grok/create"},{"title":"Query Grok Imagine Video video tasks","deprecated":false,"version":null,"sidebarTitle":"Query Grok Imagine Video video tasks","openapi":"/openapi/en/videos/grok.json get /v1/videos/{id}","href":"/en/api-reference/videos/grok/get-task"}]},{"group":"Flux","pages":[{"title":"Create FLUX 3 Video videos","deprecated":false,"version":null,"sidebarTitle":"Create FLUX 3 Video videos","openapi":"/openapi/en/videos/flux.json post /v1/videos","href":"/en/api-reference/videos/flux/create"},{"title":"Query FLUX 3 Video video tasks","deprecated":false,"version":null,"sidebarTitle":"Query FLUX 3 Video video tasks","openapi":"/openapi/en/videos/flux.json get /v1/videos/{id}","href":"/en/api-reference/videos/flux/get-task"}]}]},{"group":"Embeddings","pages":[{"title":"GPT - vector","deprecated":false,"version":null,"sidebarTitle":"GPT - vector","openapi":"/openapi/en/embeddings/openapi.json post /v1/embeddings","href":"/en/api-reference/embeddings/openai/create"},{"title":"Gemini embedding","deprecated":false,"version":null,"sidebarTitle":"Gemini embedding","openapi":"/openapi/en/embeddings/openapi.json post /v1beta/models/google/{model}:embedContent","href":"/en/api-reference/embeddings/gemini/create"}]},{"group":"Transcriptions","pages":[{"title":"Speech transcription","deprecated":false,"version":null,"sidebarTitle":"Speech transcription","openapi":"/openapi/en/transcriptions/openapi.json post /v1/audio/transcriptions","href":"/en/api-reference/transcriptions/create"}]},{"group":"Speech synthesis","pages":[{"title":"Qwen voices","sidebarTitle":"Qwen voices","icon":"microphone","href":"/en/api-reference/speech/qwen/voices"},{"title":"Google TTS voices and usage","sidebarTitle":"Google voices","icon":"microphone","href":"/en/api-reference/speech/google/voices"},{"group":"Qwen3-TTS","pages":[{"title":"Qwen text to speech","deprecated":null,"version":null,"sidebarTitle":"Qwen text to speech","openapi":"/openapi/en/speech/qwen.json post /v1/audio/speech","href":"/en/api-reference/speech/qwen/create"}]},{"group":"Google TTS","pages":[{"title":"Google text to speech","deprecated":null,"version":null,"sidebarTitle":"Google text to speech","openapi":"/openapi/en/speech/google.json post /v1/audio/speech","href":"/en/api-reference/speech/google/create"}]},{"group":"Qwen Audio","pages":[{"title":"Qwen Audio text to speech","deprecated":null,"version":null,"sidebarTitle":"Qwen Audio text to speech","openapi":"/openapi/en/speech/qwen-audio.json post /v1/audio/speech","href":"/en/api-reference/speech/qwen-audio/create"}]}]},{"group":"Decisions","pages":[{"group":"OpenAI","pages":[{"title":"OpenAI decision evaluation","deprecated":null,"version":null,"sidebarTitle":"OpenAI decision evaluation","openapi":"/openapi/en/decisions/openai.json post /v1/decisions","href":"/en/api-reference/decisions/openai/create"}]},{"group":"Jev","pages":[{"title":"Jev decision evaluation","deprecated":null,"version":null,"sidebarTitle":"Jev decision evaluation","openapi":"/openapi/en/decisions/jev.json post /v1/decisions","href":"/en/api-reference/decisions/jev/create"}]}]},{"group":"Utilities","pages":[{"group":"Balance","pages":[{"title":"Get balance","deprecated":null,"version":null,"sidebarTitle":"Get balance","openapi":"/openapi/en/utilities/balance.json get /v1/user/balance","href":"/en/api-reference/utilities/balance"}]}]}]}]}]},"title":"Image editing - Tikway","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}